/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.project.dto.template;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * Restful接口--资源详情--数据传输对象：属性配置表
 * <p>
 * createdate:  2021-09-22 15:45:17  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@JsonSerialize
@ApiModel(description = "属性配置表")
public class MtProjectTemplateDetailDto implements Serializable {

    @ApiModelProperty("主键id")
    private String id;

    @ApiModelProperty("字段名称")
    private String templatePropName;

    @ApiModelProperty("中文名称")
    private String templatePropDisplay;

    @ApiModelProperty("属性类型，0表示：输入框，1表示下拉框")
    private Integer dataType;

    @ApiModelProperty("属性值")
    private String menuValue;

    @ApiModelProperty("是否必填：0：表示否，1：表示是")
    private Boolean filled;

    @ApiModelProperty("是否公共属性，0：表示否，1：表示否")
    private Boolean publics;

    @ApiModelProperty("排序")
    private Integer templatePropSort;

    @ApiModelProperty("模板类型(0.缺陷属性 1.案例属性)")
    private Integer templateType;

    @ApiModelProperty("属性值长度")
    private Integer valueLength;

    @ApiModelProperty("是否为搜索条件，0：否，1：是")
    private Boolean searchCriteria;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTemplatePropName() {
        return templatePropName;
    }

    public void setTemplatePropName(String templatePropName) {
        this.templatePropName = templatePropName;
    }

    public String getTemplatePropDisplay() {
        return templatePropDisplay;
    }

    public void setTemplatePropDisplay(String templatePropDisplay) {
        this.templatePropDisplay = templatePropDisplay;
    }

    public Integer getDataType() {
        return dataType;
    }

    public void setDataType(Integer dataType) {
        this.dataType = dataType;
    }

    public String getMenuValue() {
        return menuValue;
    }

    public void setMenuValue(String menuValue) {
        this.menuValue = menuValue;
    }

    public Boolean getFilled() {
        return filled;
    }

    public void setFilled(Boolean filled) {
        this.filled = filled;
    }

    public Boolean getPublics() {
        return publics;
    }

    public void setPublics(Boolean publics) {
        this.publics = publics;
    }

    public Integer getTemplatePropSort() {
        return templatePropSort;
    }

    public void setTemplatePropSort(Integer templatePropSort) {
        this.templatePropSort = templatePropSort;
    }

    public Integer getTemplateType() {
        return templateType;
    }

    public void setTemplateType(Integer templateType) {
        this.templateType = templateType;
    }

    public Integer getValueLength() {
        return valueLength;
    }

    public void setValueLength(Integer valueLength) {
        this.valueLength = valueLength;
    }

    public Boolean getSearchCriteria() {
        return searchCriteria;
    }

    public void setSearchCriteria(Boolean searchCriteria) {
        this.searchCriteria = searchCriteria;
    }
}